Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226508 - Merge Review: tvtime
Summary: Merge Review: tvtime
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:12 UTC by Nobody's working on this, feel free to take it
Modified: 2010-01-06 11:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-06 10:54:49 UTC
susi.lehtola: fedora-review+


Attachments (Terms of Use)
Patch to fix desktop file install and rpmlint warnings (deleted)
2009-05-17 19:31 UTC, Susi Lehtola
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:12:48 UTC
Fedora Merge Review: tvtime

http://cvs.fedora.redhat.com/viewcvs/devel/tvtime/
Initial Owner: than@redhat.com

Comment 1 Lucian Langa 2008-12-11 06:39:01 UTC
Rpmlint is not silent:

tvtime.src: W: patch-not-applied Patch0: tvtime-0.9.13-pie.patch
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/sv/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: W: file-not-utf8 /usr/share/man/es/man1/tvtime-scanner.1.gz
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/de/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/bin/tvtime 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/nl/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/ru/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/ko/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/cs/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/nn/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: W: file-not-utf8 /usr/share/man/es/man5/stationlist.xml.5.gz
tvtime.x86_64: W: file-not-utf8 /usr/share/man/es/man1/tvtime.1.gz
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/pt/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: W: file-not-utf8 /usr/share/man/es/man1/tvtime-configure.1.gz
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/es/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: W: file-not-utf8 /usr/share/man/es/man5/tvtime.xml.5.gz
tvtime.x86_64: W: file-not-utf8 /usr/share/doc/tvtime-1.0.2/AUTHORS
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/hu/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/fr/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/fi/LC_MESSAGES/tvtime.mo 0775
tvtime.x86_64: E: non-standard-executable-perm /usr/share/locale/pl/LC_MESSAGES/tvtime.mo 0775

Consider also using the standard sourceforge url in Source:
http://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

Please use default %defattr in %files
%defattr(-, root, root, -)

Please see desktop file install:
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

desktop file needs some work
net-tvtime.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
net-tvtime.desktop: warning: value "tvtime.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
net-tvtime.desktop: warning: value "Application;AudioVideo;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"

Comment 2 Susi Lehtola 2009-05-17 19:31:51 UTC
Created attachment 344353 [details]
Patch to fix desktop file install and rpmlint warnings

Comment 3 Susi Lehtola 2009-05-17 19:34:59 UTC
Apply the patch above to devel branch and make build; then I'll do a full review.

Also, please fix the source URL: prdownloads.sourceforge.net should be downloads.sourceforge.net

Comment 4 Tomas Smetana 2009-06-01 06:48:51 UTC
I've committed some changes to the devel branch: rpmlint seems to be silent now.  I used only part of the diff you posted here.

Comment 5 Susi Lehtola 2009-06-01 07:30:04 UTC
Okay.

- I wouldn't ship man as %doc.

- Change
 BuildRequires: /usr/bin/desktop-file-install
to
 BuildRequires: desktop-file-utils

- You need to conserve time stamps in character set conversion, use 
 for i in AUTHORS docs/man/{de,es}/*.?; do
  iconv -f iso-8859-1 -t utf-8 "$i" > "${i}_" && \
  touch -r "$i" "${i}_" && \
  mv "${i}_" "$i"
 done
This is also safe, since it fails if a command is not completed OK.

- I'm wondering if autoreconfing is really needed; you could just use the trick at
 http://fedoraproject.org/wiki/Packaging/Guidelines#Removing_Rpath

- Why is clean commented out?

Comment 6 Tomas Smetana 2009-06-01 07:48:49 UTC
(In reply to comment #5)
> Okay.
> 
> - I wouldn't ship man as %doc.

This is something I couldn't find in the guidelines so I didn't change what I inherited.  Both make sense to me.

> - Change
>  BuildRequires: /usr/bin/desktop-file-install
> to
>  BuildRequires: desktop-file-utils
> 
> - You need to conserve time stamps in character set conversion, use 
>  for i in AUTHORS docs/man/{de,es}/*.?; do
>   iconv -f iso-8859-1 -t utf-8 "$i" > "${i}_" && \
>   touch -r "$i" "${i}_" && \
>   mv "${i}_" "$i"
>  done
> This is also safe, since it fails if a command is not completed OK.

Right. Will do.
 
> - I'm wondering if autoreconfing is really needed; you could just use the trick
> at
>  http://fedoraproject.org/wiki/Packaging/Guidelines#Removing_Rpath

This is due to the new ALSA mixer patch and libtoolize.  I think it's simpler like this.
 
> - Why is clean commented out?  

Because I'm an idiot and don't check what I commit carefully. (It's a remain of debugging the new libtool issue.)

Thanks for your help.  I will incorporate the changes to the spec file, rebuild and update this bugzilla.

Comment 7 Susi Lehtola 2009-06-01 08:19:01 UTC
Okay, once you have built the new revision in rawhide I will do the full review.

Comment 8 Tomas Smetana 2009-06-01 08:29:50 UTC
Done.  Hope it's better this time.  Maybe even good.

Comment 9 Susi Lehtola 2009-06-01 12:40:10 UTC
rpmlint output is clean.


MUST: The spec file for the package is legible and macros are used consistently. NEEDSWORK
- You are using %{buildroot} and $RPM_OPT_FLAGS, please change the latter to %{optflags}.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. OK
- Some files are  MIT licensed (e.g. src/xfullscreen.{c,h}), but MIT license is compatible with GPL/LGPL.
- Also LGPL is compatible with GPL, so license tag could in principle be just GPLv2+.
- Current GPLv2+ and LGPLv2+ is most informative, so it's best to keep it as it is.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK

MUST: Optflags are used and time stamps preserved. NEEDSWORK
- Time stamps are not conserved in install, add INSTALL="install -p" as argument to make install.

MUST: Packages containing shared library files must call ldconfig. N/A

MUST: A package must own all directories that it creates or require the package that owns the directory. NEEDSWORK
- Package must Requires: hicolor-icon-theme for dir ownership. (no Requires(post): and Requires(postun): hicolor-icon-theme, should be just Requires: hicolor-icon-theme).

MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK

MUST: Permissions on files must be set properly. NEEDSWORK
- I don't think directories can be listed as config. I'd change
 %config(noreplace) %{_sysconfdir}/tvtime/
to
 %dir %{_sysconfdir}/tvtime/
 %config(noreplace) %{_sysconfdir}/tvtime/tvtime.xml

MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSWORK
- Include COPYING.LGPL.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 10 Susi Lehtola 2009-07-10 12:57:24 UTC
ping?

Comment 11 Susi Lehtola 2009-08-05 11:21:34 UTC
ping again? Tomas?

Comment 12 Susi Lehtola 2010-01-01 22:51:58 UTC
ping 3rd time

Comment 13 Tomas Smetana 2010-01-05 16:49:01 UTC
Hello,
  I have committed a new spec to the devel branch that should include the proposed changes.  It also drops the font related patch since the OSD looks terribly ugly with that...

Comment 14 Susi Lehtola 2010-01-06 10:54:49 UTC
The hicolor-icon-theme issue is still there: you need it full time for dir ownership, not just in %post and %postun.

Otherwise looks fine,


APPROVED


Please fix the hicolor-icon-theme issue before shipping updates.

Comment 15 Tomas Smetana 2010-01-06 11:41:02 UTC
Thanks a lot for your help.


Note You need to log in before you can comment on or make changes to this bug.